﻿body 
{

}

.accumulated-benefits-grid .ui-grid
{
	min-height: 40vh !important;
	overflow-x:hidden !important;
}

.accumulated-benefits-grid .ui-grid-viewport
{
    min-height: inherit !important;
    overflow-x:hidden !important;
}
.accumulated-benefits-grid .ui-grid-row, .accumulated-benefits-grid .ui-grid-cell
{
	height: auto !important;
	overflow-x: hidden !important;
	vertical-align: middle !important;
}

.accumulated-benefits-grid .ui-grid-header-cell
{
	background-color: rgb(55,66,74);
	color: rgb(232,232,232);
}
.accumulated-benefits-grid .ui-grid-cell-contents {
    background-color: inherit !important;
	margin-top: 1.25em !important;
	margin-bottom: 1.25em !important;
	height: 100% !important;
    -moz-text-overflow: clip !important;
    text-overflow: clip !important;	
}

.aha-button, .aha-button:hover, .aha-button:active
{
	
	border:none;
	color:white;
	background-color:rgb(0,136,206);
}

/* An overlay to disable the screen for popups and spinners.*/
#screen-overlay {
    background-color: #333;
    -ms-opacity: 0.8;
    opacity: 0.8;
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 1000;
    height: 100%;
    width: 100%;
    overflow: hidden;
    display: block;
}

/* A container for the 'wait' spinner.*/
 #spinner-icon
 {
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100px;
    height: 100px;
    color:white;
    font-size:80px;
    z-index: 1001;
    background-color:transparent;

}

/* The top-level container for the status bar.*/
.status-bar
{
	display: flex;
	flex-direction: row;
    /*height: 100%;*/
    width: 100%;
    /*padding-top: 5% !important;*/
}
.ui-grid-cell-status-bar{
	height: 30px !important;
	align-content:center;
}

.status-bar-label-center{
	display: flex;
	align-items: center;
}

/* All divs within the status-bar.*/
.status-bar div {
	margin: 0;
	padding: 0;
	position: relative;
}

.status-bar-caret
{
	vertical-align:middle;
}

/* Container that holdes the line and the carets for the status bar.*/
.status-bar-graph
{
	display: flex;
	flex: 1;

}

/*All labels for the status bar.*/
.status-bar-label
{
	font-size:.8em;
}


.status-bar-left-label 
{
	margin-right: 3px !important;
	vertical-align: middle;
}

.status-bar-line
{
	position: absolute;
	width: 100%;
	height: 1px;
	top: 50%;
	background-color: black;
	float: left;	
}

.status-bar-right-label 
{
	margin-left: 3px !important;
	vertical-align: middle;
}

.status-bar-marker
{
	color:rgb(0,140, 204);
	float:left;
	position:absolute !important;
	height:12%;
	top:29%;
	z-index: 1;
}

.status-bar-top-label
{
	float: left;
	bottom: 100%;
	position: absolute;
	height: 12px;
	font-weight: bold;
}

.status-bar-container {
	margin-bottom: 20px;
	background-color: transparent;
	border: 1px solid transparent;
	-ms-border-radius: 4px;
	border-radius: 4px;
	box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
	padding-top: 0px !important;
}

@media print {
	.page-footer, .page-footer-space {
		height: 10px;
	}

	.page-footer {
		position: fixed;
		bottom: 0;
		width: 100%;
		align-content: center;
		border-top: 1px solid black;
	}

	tfoot {
		display: table-footer-group;
	}
}